सामग्री पर जाएँ

Nano Banana Lite Edit

इंटीग्रेट करें

मॉडल id google/nano-banana-lite/edit
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/google/nano-banana-lite/edit?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध: ≈$0.043 43 API क्रेडिट · ≈ ₽4.63 इसे इस पेज पर चलाएँ

API कुंजी प्राप्त करें
Google इमेज एडिटिंग तेज़

प्रॉम्प्ट-आधारित रूप से एक या अधिक इनपुट इमेज संपादित करने वाला Lite Nano Banana वैरिएंट

Google · इमेज

आपका पहला परिणाम यहाँ आएगा

नीचे एक अनुरोध बनाएँ और उसे अपनी API कुंजी से चलाएँ। आउटपुट हमारे स्टोरेज में कॉपी किए जाते हैं और हमेशा के लिए या 7 दिन तक मुफ़्त में रखे जाते हैं।

अनुरोध बनाएँ

कंट्रोल मॉडल स्कीमा से जनरेट होते हैं। इन्हें बदलने पर कोड और कीमत अपडेट होती है।

•आवश्यक 88 / 50000

इमेज संपादित करने के लिए टेक्स्ट निर्देश।

डिफ़ॉल्ट auto

आउटपुट इमेज का आस्पेक्ट रेशियो, जिसमें चरम विकल्प 4:1, 1:4, 8:1, 1:8 शामिल हैं।

num_images डिफ़ॉल्ट 1

निर्माण के लिए अनुरोधित इमेज की संख्या।

उन्नत system_prompt · images · output_format · safety_tolerance · thinking_level · seed · limit_generations
0 / 50000

वैकल्पिक, पूरे अनुरोध पर लागू होने वाला व्यक्तित्व और आउटपुट-शैली संबंधी मार्गदर्शन, जिसे Gemini को सिस्टम निर्देश के रूप में या OpenAI-संगत प्रदाताओं को सिस्टम संदेश के रूप में भेजा जाता है। मान खाली होने पर इस निर्देश के लिए कुछ भी नहीं भेजा जाता।

image_urls
फ़ाइल ड्रॉप करें, या

संपादन या image-to-image निर्माण के लिए स्रोत इमेज की पहचान करने वाले URL।

output_format डिफ़ॉल्ट png

परिणामी इमेज का फ़ाइल फ़ॉर्मैट।

safety_tolerance डिफ़ॉल्ट 4

कंटेंट मॉडरेशन सहनशीलता को सबसे कम प्रतिबंधात्मक स्तर 6 और सबसे कड़े स्तर 1 के बीच सेट करें; स्तर 1 अधिकांश कंटेंट को ब्लॉक करता है।

thinking_level

उस स्तर पर मॉडल की सोच सक्रिय करने और उसके विचारों को निर्माण में शामिल करने के लिए 'minimal' या 'high' चुनें; स्तर सेट न करने पर सोचने की सुविधा बंद रहती है।

रैंडम-नंबर निर्माण शुरू करने वाला सीड मान।

POST /run/google/nano-banana-lite/edit?wait=20 कोटेशन → $0.043
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/google/nano-banana-lite/edit?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध चलाएँ

आपकी key इसी ब्राउज़र में रहती है: इसे केवल Doitong API को भेजा जाता है और केवल तभी (localStorage) में सेव किया जाता है जब आप Remember चुनते हैं। API कुंजी प्राप्त करें

Nano Banana Lite Edit के बारे में

`image_urls` में दी गई इमेज को अधिकतम 50000 वर्णों वाले आवश्यक `prompt` के अनुसार संपादित या रूपांतरित करता है। यह png, jpeg या webp में 1 से 4 इमेज लौटा सकता है, जिनमें 8:1 और 1:8 सहित कई `aspect_ratio` विकल्प हैं। `system_prompt` और `thinking_level` अतिरिक्त नियंत्रण प्रदान करते हैं।

पैरामीटर

कैनोनिकल नाम या नेटिव नाम में से कोई एक भेजें, दोनों नहीं। कैनोनिकल नाम

नामप्रकार डिफ़ॉल्टअनुमत विवरण
promptआवश्यक
प्रकारstring
≤ 50,000 अक्षर≥ 3 अक्षर
इमेज संपादित करने के लिए टेक्स्ट निर्देश।
system_promptवैकल्पिक
प्रकारstring
डिफ़ॉल्ट
≤ 50,000 अक्षर
वैकल्पिक, पूरे अनुरोध पर लागू होने वाला व्यक्तित्व और आउटपुट-शैली संबंधी मार्गदर्शन, जिसे Gemini को सिस्टम निर्देश के रूप में या OpenAI-संगत प्रदाताओं को सिस्टम संदेश के रूप में भेजा जाता है। मान खाली होने पर इस निर्देश के लिए कुछ भी नहीं भेजा जाता।
aspect_ratioवैकल्पिक
प्रकारenum
डिफ़ॉल्टauto
auto21:916:93:24:35:41:14:53:42:39:164:11:48:11:8
आउटपुट इमेज का आस्पेक्ट रेशियो, जिसमें चरम विकल्प 4:1, 1:4, 8:1, 1:8 शामिल हैं।
image_urlsवैकल्पिक images
प्रकारurl[] · image
संपादन या image-to-image निर्माण के लिए स्रोत इमेज की पहचान करने वाले URL।
num_imagesवैकल्पिक num_outputs
प्रकारinteger
डिफ़ॉल्ट1
1 – 4
निर्माण के लिए अनुरोधित इमेज की संख्या।
seedवैकल्पिक
प्रकारinteger | null
रैंडम-नंबर निर्माण शुरू करने वाला सीड मान।
output_formatवैकल्पिक
प्रकारenum
डिफ़ॉल्टpng
jpegpngwebp
परिणामी इमेज का फ़ाइल फ़ॉर्मैट।
safety_toleranceवैकल्पिक
प्रकारenum
डिफ़ॉल्ट4
123456
कंटेंट मॉडरेशन सहनशीलता को सबसे कम प्रतिबंधात्मक स्तर 6 और सबसे कड़े स्तर 1 के बीच सेट करें; स्तर 1 अधिकांश कंटेंट को ब्लॉक करता है।
limit_generationsवैकल्पिक
प्रकारboolean
डिफ़ॉल्टtrue
प्रायोगिक निर्माण सीमा, सक्षम होने पर गुणवत्ता को प्रभावित कर सकती है। `True` के साथ, प्रत्येक प्रॉम्प्टिंग राउंड 1 निर्माण तक सीमित रहता है, प्रॉम्प्ट में दिए गए इमेज-गणना निर्देशों को ओवरराइड करता है और मॉडल द्वारा निर्मित मध्यवर्ती इमेज को अनदेखा करता है।
thinking_levelवैकल्पिक
प्रकारenum
minimalhigh
उस स्तर पर मॉडल की सोच सक्रिय करने और उसके विचारों को निर्माण में शामिल करने के लिए 'minimal' या 'high' चुनें; स्तर सेट न करने पर सोचने की सुविधा बंद रहती है।
आवश्यक कैनोनिकल नाम, यह भी स्वीकार्य है

फ़ाइल पैरामीटर में सार्वजनिक https:// URL, 10 MB तक का data: URI, या अपलोड का file_url लिया जाता है। फ़ाइलें

आउटपुट

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "google/nano-banana-lite/edit",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 43,
    "usd": "0.043",
    "charged": 43,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200,
        "width": 1024,
        "height": 768
      }
    ],
    "description": "string"
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
आपकी फ़ाइलें, आपकी पसंदहर outputs[].url हमारे स्टोरेज में एक कॉपी है: हमेशा के लिए (प्रति GB-माह भुगतान) या 7 दिन तक मुफ़्त में, आपके अकाउंट की सेटिंग या ?storage= के अनुसार।
हर मॉडल पर एक जैसा आकारइमेज, वीडियो और ऑडियो सभी के लिए type, url, content_type, width, height और duration। output मॉडल का अपना परिणाम ऑब्जेक्ट है।
आउटपुट के फ़ील्ड
images
array of object {url, content_type, file_name, file_size, width, height}संपादन से प्राप्त इमेज।
description
stringनिर्मित इमेज के साथ दिया गया विवरण।

और मॉडल: इमेज एडिटिंग

AI एजेंट के लिए: इस पेज का Markdown यहाँ है https://doitong.com/hi/developers/models/google/nano-banana-lite/edit.md. सभी मॉडल और गाइड: https://doitong.com/developers/llms.txt